JAXB v2.2.12-b140109.1041

## javax.xml.bind
Class TypeConstraintException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.xml.bind.TypeConstraintException

All Implemented Interfaces:
  Serializable

    public class TypeConstraintException

extends RuntimeException

This exception indicates that a violation of a dynamically checked type constraint was detected.

This exception can be thrown by the generated setter methods of the schema derived Java content classes. However, since fail-fast validation is an optional feature for JAXB Providers to support, not all setter methods will throw this exception when a type constraint is violated.

If this exception is throw while invoking a fail-fast setter, the value of the property is guaranteed to remain unchanged, as if the setter were never called.

Since:
  JAXB1.0
Author:
  - Ryan Shoemaker, Sun Microsystems, Inc.
  - Joe Fialli, Sun Microsystems, Inc.
See Also:
  `ValidationEvent`, Serialized Form

Constructor Summary
`TypeConstraintException(String message)` Construct a TypeConstraintException with the specified detail message.
`TypeConstraintException(String message, String errorCode)` Construct a TypeConstraintException with the specified detail message and vendor specific errorCode.
`TypeConstraintException(String message, String errorCode, Throwable exception)` Construct a TypeConstraintException with the specified detail message, vendor specific errorCode, and linkedException.
`TypeConstraintException(String message, Throwable exception)` Construct a TypeConstraintException with the specified detail message and linkedException.
`TypeConstraintException(Throwable exception)` Construct a TypeConstraintException with a linkedException.

Method Summary
`String` `getErrorCode()` Get the vendor specific error code
`Throwable` `getLinkedException()` Get the linked exception
`void` `printStackTrace()` Prints this TypeConstraintException and its stack trace (including the stack trace of the linkedException if it is non-null) to `System.err`.
`void` `printStackTrace(PrintStream s)` Prints this TypeConstraintException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintStream.
`void` `setLinkedException(Throwable exception)` Add a linked Exception.
`String` `toString()` Returns a short description of this TypeConstraintException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeConstraintException

    public TypeConstraintException(String message)

  Construct a TypeConstraintException with the specified detail message. The errorCode and linkedException will default to null.

  Parameters:
    `message` - a description of the exception

### TypeConstraintException

    public TypeConstraintException(String message,
                                   String errorCode)

  Construct a TypeConstraintException with the specified detail message and vendor specific errorCode. The linkedException will default to null.

  Parameters:
    `message` - a description of the exception
    `errorCode` - a string specifying the vendor specific error code

### TypeConstraintException

    public TypeConstraintException(Throwable exception)

  Construct a TypeConstraintException with a linkedException. The detail message and vendor specific errorCode will default to null.

  Parameters:
    `exception` - the linked exception

### TypeConstraintException

    public TypeConstraintException(String message,
                                   Throwable exception)

  Construct a TypeConstraintException with the specified detail message and linkedException. The errorCode will default to null.

  Parameters:
    `message` - a description of the exception
    `exception` - the linked exception

### TypeConstraintException

    public TypeConstraintException(String message,
                                   String errorCode,
                                   Throwable exception)

  Construct a TypeConstraintException with the specified detail message, vendor specific errorCode, and linkedException.

  Parameters:
    `message` - a description of the exception
    `errorCode` - a string specifying the vendor specific error code
    `exception` - the linked exception

Method Detail

### getErrorCode

    public String getErrorCode()

  Get the vendor specific error code

  Returns:
    a string specifying the vendor specific error code

### getLinkedException

    public Throwable getLinkedException()

  Get the linked exception

  Returns:
    the linked Exception, null if none exists

### setLinkedException

    public void setLinkedException(Throwable exception)

  Add a linked Exception.

  Parameters:
    `exception` - the linked Exception (A null value is permitted and indicates that the linked exception does not exist or is unknown).

### toString

    public String toString()

  Returns a short description of this TypeConstraintException.

  Overrides:
    `toString` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Prints this TypeConstraintException and its stack trace (including the stack trace of the linkedException if it is non-null) to the PrintStream.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - PrintStream to use for output

### printStackTrace

    public void printStackTrace()

  Prints this TypeConstraintException and its stack trace (including the stack trace of the linkedException if it is non-null) to `System.err`.

  Overrides:
    `printStackTrace` in class `Throwable`

JAXB v2.2.12-b140109.1041

Comments to: spec-comments@jsr222.java.net
More information at: http://jaxb.java.net

Copyright © 2004-2011 Oracle